//import com.j256.ormlite.dao.Dao;
//import com.j256.ormlite.dao.DaoManager;
//import com.j256.ormlite.jdbc.JdbcConnectionSource;
//import com.j256.ormlite.support.ConnectionSource;
//import java.sql.SQLException;
//import java.util.Arrays;
//import java.util.List;
//import java.util.Scanner;
//
//public class AccountApp {
//
//	// we are using a MySQl database
//	private final static String DATABASE_URL = "jdbc:mysql://localhost:3306/orm_lab?useUnicode=true";
//
//	private Dao<Account, Integer> accountDao;
//
//	public static void main(String[] args) throws Exception {
//		// turn our static method into an instance of Main
//		new AccountApp().doMain(args);
//	}
//
//	private void doMain(String[] args) throws Exception {
//		ConnectionSource connectionSource = null;
//		try {
//			// create our data-source for the database
//			connectionSource = new JdbcConnectionSource(DATABASE_URL, "root", "");
//			// setup our  DAOs
//			setupDao(connectionSource);
//			// read, write and delete some data
//			processData();
//
//			System.out.println("\n\nIt seems to have worked\n\n");
//		} finally {
//			// destroy the data source which should close underlying connections
//			if (connectionSource != null) {
//				connectionSource.close();
//			}
//		}
//	}
//
//	/**
//	 * Read and write some example data.
//	 */
//	private void processData() throws Exception {
//		// create an instance of Account
//		Account account = new Account();
//		System.out.println("Enter new account name");
//		Scanner sc = new Scanner(System.in);
//		String tempName = sc.nextLine();
//		account.setName(tempName);
//
//		System.out.println("Enter new account password");
//		Scanner s = new Scanner(System.in);
//		String tempPassword = s.nextLine();
//		account.setPassword(tempPassword);
//
//		// persist the account object to the database
//
//
//
//		System.out.println("Enter the id to delete");
//		Scanner i = new Scanner(System.in);
//		int tempId = i.nextInt();
//		accountDao.deleteById(tempId);
//
//		System.out.println("Enter id to find");
//		Scanner x = new Scanner(System.in);
//		int tempId2 = x.nextInt();
//		System.out.println(findById(tempId2));
//
//		System.out.println("Enter id and name to update");
//		Scanner u = new Scanner(System.in);
//		String tempId3 = u.nextLine();
//
//		String newRow = tempId3.replaceAll("\n","");
//		List<String> ne = Arrays.asList(newRow.split("\\s*,\\s*"));
//
//		long y = Long.parseLong(ne.get(0));
//		String temp4 = ne.get(1);
//		System.out.println(updateName(y, temp4);
//	}
//
//	public int create(Account account) throws SQLException {
//		accountDao.create(account);
//		accountDao.update(account);
//		int id = account.getId();
//		return id;
//	}
//
//	/**
//	 * Find the user in the database with the given id
//	 * @param id id of the user
//	 * @return The user associated with that id
//	 * @throws SQLException
//	 */
//	public Account findById(long id) throws SQLException {
//
//		return accountDao.queryForId((int) id);
//	}
//
//	/**
//	 * Given a user id, find the user, and update the user name.
//	 * @param id id of the user
//	 * @param newName the user new name
//	 * @throws SQLException
//	 */
//	public void updateName(long id, String newName) throws SQLException {
//		Account temp = findById(id);
//		temp.setName(newName);
//		accountDao.update(temp);
//	}
//	public void deleteAcc(long id) throws SQLException {
//		accountDao.deleteById((int) id);
//	}
//
//
//
//	/**
//	 * Setup our  DAOs
//	 */
//	private void setupDao(ConnectionSource connectionSource) throws Exception {
//
//		accountDao = DaoManager.createDao(connectionSource, Account.class);
//
//	}
//}